<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">

<head>
  <title>KMultiTabBar</title>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <meta http-equiv="Content-Style-Type" content="text/css" />
  <link rel="stylesheet" type="text/css" href="../common/doxygen.css" />
  <link rel="stylesheet" media="screen" type="text/css" title="KDE Colors" href="../common/kde.css" />
</head>
<body>
<div id="container">
<div id="header">
  <div id="header_top">
    <div>
      <div>
        <img alt ="" src="../common/top-kde.jpg"/>
        KDE 4.2 PyKDE API Reference
      </div>
    </div>
  </div>
  <div id="header_bottom">
    <div id="location">
      <ul>
        <li>KDE's Python API</li>
      </ul>
    </div>

    <div id="menu">
      <ul>
        <li><a href="../modules.html">Overview</a></li>
<li><a href="http://techbase.kde.org/Development/Languages/Python">PyKDE Home</a></li>
<li><a href="http://kde.org/family/">Sitemap</a></li>
<li><a href="http://kde.org/contact/">Contact Us</a></li>
</ul>
    </div>
  </div>
</div>

<div id="body_wrapper">
<div id="body">
<div id="right">
<div class="content">
<div id="main">
<div class="clearer">&nbsp;</div>

<h1>KMultiTabBar Class Reference</h1>
<code>from PyKDE4.kdeui import *</code>
<p>
Inherits: <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qwidget.html">QWidget</a> &#x2192; <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qobject.html">QObject</a><br />


<h2>Detailed Description</h2>

<p>A Widget for horizontal and vertical tabs.
(Note that in Qt4, QTabBar can be vertical as well)
</p>
<p>
It is possible to add normal buttons to the top/left
The handling if only one tab at a time or multiple tabs
should be raisable is left to the "user".

<dl class="author" compact><dt><b>Author:</b></dt><dd> Joseph Wenninger </dd></dl>
</p>
<table border="0" cellpadding="0" cellspacing="0"><tr><td colspan="2"><br><h2>Enumerations</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="#obj198678604">KMultiTabBarPosition</a>&nbsp;</td><td class="memItemRight" valign="bottom">{&nbsp;Left, Right, Top, Bottom&nbsp;}</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="#obj198678764">KMultiTabBarStyle</a>&nbsp;</td><td class="memItemRight" valign="bottom">{&nbsp;VSNET, KDEV3ICON, STYLELAST&nbsp;}</td></tr>
<tr><td colspan="2"><br><h2>Methods</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj198678828">__init__</a> (self, KMultiTabBar.KMultiTabBarPosition pos, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qwidget.html">QWidget</a> parent=0)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj198680492">appendButton</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qpixmap.html">QPixmap</a> pic, int id=-1, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qmenu.html">QMenu</a> popup=0, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> not_used_yet=QString())</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj198686604">appendTab</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qpixmap.html">QPixmap</a> pic, int id=-1, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> text=QString())</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdeui/KMultiTabBarButton.html">KMultiTabBarButton</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj198697036">button</a> (self, int id)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj198700812">fontChange</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qfont.html">QFont</a> a0)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj198688684">isTabRaised</a> (self, int id)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">KMultiTabBar.KMultiTabBarPosition&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj198699372">position</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj198679756">removeButton</a> (self, int id)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj198687564">removeTab</a> (self, int id)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj198698956">setPosition</a> (self, KMultiTabBar.KMultiTabBarPosition pos)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj198699948">setStyle</a> (self, KMultiTabBar.KMultiTabBarStyle style)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj198688140">setTab</a> (self, int id, bool state)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdeui/KMultiTabBarTab.html">KMultiTabBarTab</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj198697772">tab</a> (self, int id)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">KMultiTabBar.KMultiTabBarStyle&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj198700396">tabStyle</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj198699820">updateSeparator</a> (self)</td></tr>
</table>
<hr><h2>Method Documentation</h2><a class="anchor" name="obj198678828"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">__init__</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">KMultiTabBar.KMultiTabBarPosition&nbsp;</td>
<td class="paramname"><em>pos</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qwidget.html">QWidget</a>&nbsp;</td>
<td class="paramname"><em>parent=0</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>The list of available styles for KMultiTabBar
- VSNET - Visual Studio .Net like, always shows icon, only show the text of active tabs
- KDEV3ICON - Kdevelop 3 like, always shows the text and icons
</p></div></div><a class="anchor" name="obj198680492"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">int appendButton</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qpixmap.html">QPixmap</a>&nbsp;</td>
<td class="paramname"><em>pic</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>id=-1</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qmenu.html">QMenu</a>&nbsp;</td>
<td class="paramname"><em>popup=0</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>not_used_yet=QString()</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>append a new button to the button area. The button can later on be accessed with button(ID)
eg for connecting signals to it
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>pic</em>&nbsp;</td><td> a pixmap for the button

<tr><td></td><td valign="top"><em>id</em>&nbsp;</td><td> an arbitraty ID value. It will be emitted in the clicked signal for identifying the button
if more than one button is connected to a signals.

<tr><td></td><td valign="top"><em>popup</em>&nbsp;</td><td> A popup menu which should be displayed if the button is clicked

<tr><td></td><td valign="top"><em>not_used_yet</em>&nbsp;</td><td> will be used for a popup text in the future
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj198686604"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">int appendTab</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qpixmap.html">QPixmap</a>&nbsp;</td>
<td class="paramname"><em>pic</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>id=-1</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>text=QString()</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>append a new tab to the tab area. It can be accessed lateron with tabb(id);
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>pic</em>&nbsp;</td><td> a bitmap for the tab

<tr><td></td><td valign="top"><em>id</em>&nbsp;</td><td> an arbitrary ID which can be used later on to identify the tab

<tr><td></td><td valign="top"><em>text</em>&nbsp;</td><td> if a mode with text is used it will be the tab text, otherwise a mouse over hint
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj198697036"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kdeui/KMultiTabBarButton.html">KMultiTabBarButton</a> button</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>id</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>get a pointer to a button within the button area identified by its ID
</p></div></div><a class="anchor" name="obj198700812"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> fontChange</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qfont.html">QFont</a>&nbsp;</td>
<td class="paramname"><em>a0</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj198688684"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool isTabRaised</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>id</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>return the state of a tab, identified by its ID
</p></div></div><a class="anchor" name="obj198699372"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">KMultiTabBar.KMultiTabBarPosition position</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>get the tabbar position.
<dl class="return" compact><dt><b>Returns:</b></dt><dd> position
</dd></dl>
</p></div></div><a class="anchor" name="obj198679756"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> removeButton</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>id</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>remove a button with the given ID
</p></div></div><a class="anchor" name="obj198687564"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> removeTab</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>id</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>remove a tab with a given ID
</p></div></div><a class="anchor" name="obj198698956"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setPosition</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">KMultiTabBar.KMultiTabBarPosition&nbsp;</td>
<td class="paramname"><em>pos</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>set the real position of the widget.
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>pos</em>&nbsp;</td><td> if the mode is horizontal, only use top, bottom, if it is vertical use left or right
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj198699948"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setStyle</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">KMultiTabBar.KMultiTabBarStyle&nbsp;</td>
<td class="paramname"><em>style</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>set the display style of the tabs
</p></div></div><a class="anchor" name="obj198688140"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setTab</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>id</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">bool&nbsp;</td>
<td class="paramname"><em>state</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>set a tab to "raised"
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>id</em>&nbsp;</td><td> The ID of the tab to manipulate

<tr><td></td><td valign="top"><em>state</em>&nbsp;</td><td> true == activated/raised, false == not active
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj198697772"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kdeui/KMultiTabBarTab.html">KMultiTabBarTab</a> tab</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>id</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>get a pointer to a tab within the tab area, identiifed by its ID
</p></div></div><a class="anchor" name="obj198700396"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">KMultiTabBar.KMultiTabBarStyle tabStyle</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>get the display style of the tabs
<dl class="return" compact><dt><b>Returns:</b></dt><dd> display style
</dd></dl>
</p></div></div><a class="anchor" name="obj198699820"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> updateSeparator</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"></div></div><hr><h2>Enumeration Documentation</h2><a class="anchor" name="obj198678604"></a>
<div class="memitem">
<div class="memproto">
<table class="memname">
<tr><td class="memname">KMultiTabBarPosition</td>
</tr>
</table>
</div>
<div class="memdoc"><dl compact><dt><b>Enumerator: </b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0"><tr><td valign="top"><em>Left</em>&nbsp;</td><td><tr><td valign="top"><em>Right</em>&nbsp;</td><td><tr><td valign="top"><em>Top</em>&nbsp;</td><td><tr><td valign="top"><em>Bottom</em>&nbsp;</td><td></table>
</dl>
</div></div><p><a class="anchor" name="obj198678764"></a>
<div class="memitem">
<div class="memproto">
<table class="memname">
<tr><td class="memname">KMultiTabBarStyle</td>
</tr>
</table>
</div>
<div class="memdoc"><p>The list of available styles for KMultiTabBar
- VSNET - Visual Studio .Net like, always shows icon, only show the text of active tabs
- KDEV3ICON - Kdevelop 3 like, always shows the text and icons
</p><dl compact><dt><b>Enumerator: </b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0"><tr><td valign="top"><em>VSNET</em>&nbsp;=&nbsp;0</td><td><tr><td valign="top"><em>KDEV3ICON</em>&nbsp;=&nbsp;2</td><td><tr><td valign="top"><em>STYLELAST</em>&nbsp;=&nbsp;0xffff</td><td></table>
</dl>
</div></div><p>
</div>
</div>
</div>

<div id="left">

<div class="menu_box">
<div class="nav_list">
<ul>
<li><a href="../allclasses.html">Full Index</a></li>
</ul>
</div>

<a name="cp-menu" /><div class="menutitle"><div>
  <h2 id="cp-menu-project">Modules</h2>
</div></div>
<div class="nav_list">
<ul>
<li><a href="../akonadi/index.html">akonadi</a></li>
<li><a href="../dnssd/index.html">dnssd</a></li>
<li><a href="../kdecore/index.html">kdecore</a></li>
<li><a href="../kdeui/index.html">kdeui</a></li>
<li><a href="../khtml/index.html">khtml</a></li>
<li><a href="../kio/index.html">kio</a></li>
<li><a href="../knewstuff/index.html">knewstuff</a></li>
<li><a href="../kparts/index.html">kparts</a></li>
<li><a href="../kutils/index.html">kutils</a></li>
<li><a href="../nepomuk/index.html">nepomuk</a></li>
<li><a href="../phonon/index.html">phonon</a></li><li><a href="../plasma/index.html">plasma</a></li>
<li><a href="../solid/index.html">solid</a></li>
<li><a href="../soprano/index.html">soprano</a></li>
</ul></div></div>

</div>

</div>
  <div class="clearer"/>
</div>

<div id="end_body"></div>
</div>
<div id="footer"><div id="footer_text">
This documentation is maintained by <a href="&#109;&#97;&#105;&#108;&#116;&#111;&#58;simon&#64;simonzone&#46;com">Simon Edwards</a>.<br />
        KDE<sup>&#174;</sup> and <a href="../images/kde_gear_black.png">the K Desktop Environment<sup>&#174;</sup> logo</a> are registered trademarks of <a href="http://ev.kde.org/" title="Homepage of the KDE non-profit Organization">KDE e.V.</a> |
        <a href="http://www.kde.org/contact/impressum.php">Legal</a>
    </div></div>
</body>
</html>
